; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: Dynamic memory management library.
;
;  Target OS: Dummy
;
;  Dependencies:
;
;  Notes:
;
;_________________________________________________________________________________________


; Allocates memory block with given size.
; Returns: CF=1 if error.
;          if CF=0, eax = pointer to the memory block allocated.

proc GetMem, .size
begin
        stc
        return
endp



proc FreeMem, .ptr
begin
        return
endp




proc ResizeMem, .ptr, .newsize
begin
        stc
        return
endp




proc SpaceAllocate, .size
begin
        return
endp


